#include <bits/stdc++.h>

using namespace std;

const int MOD=1e9+7;

long long pow(long long a, long long b)
{
    if (b==0)
        return 1;
    if (b==1)
        return a%MOD;
    long long x=pow(a,b/2);
    long long y=pow(a,b%2);
    x*=x;
    x%MOD;
    x*=y;
    x%=MOD;
    return x;
}

long long dp[110][110];

long long f(int a, int b)
{
   if (a>b)
    swap(a,b);

   if (dp[a][b]==0)
   {
       long long ans=0;
       for (int i=0; i<a; i++)
        for (int j=0; j<a; j++)
         ans+=(min(b-j,i+1)*min(a-j,b-a+i+1));
             //cout<<a<<" "<<b<<" "<<ans<<"\n";
        dp[a][b]=ans;
        if (a==b)
            dp[a][b]-=2;
    }

   return dp[a][b];
}

int main()
{
    int a,b;
    cin>>a>>b;
    //a=100;
    //b=100;
    for(int i=2; i<=a; i++)
        for(int j=i; j<=b; j++)
            f(i,j);

    long long ans=0;
    for (int i=1; i<a; i++)
        for (int j=1; j<b; j++)
            ans+=(f(i+1,j+1))*(a-i)*(b-j);
    cout<<ans<<"\n";

    return 0;
}
